Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
PhysxHeightFieldDesc Class Reference

Descriptor class for height fields. More...

`#include "physxHeightFieldDesc.h"`

## Public Member Functions
bool | is_valid () const
| Returns true if the descriptor is valid.
void | set_convex_edge_threshold (float threshold)
void | set_height (unsigned int row, unsigned int column, short height)
void | set_image (const PNMImage &image, unsigned short materialIndex=0)
void | set_material_index (unsigned int row, unsigned int column, unsigned short materialIndex0, unsigned short materialIndex1)
void | set_size (unsigned int num_rows, unsigned int num_columns)
void | set_tess_flag (unsigned int row, unsigned int column, unsigned short value)
void | set_thickness (float thickness)
void | set_to_default ()
| (re)sets the structure to the default.

## Public Attributes
NxHeightFieldDesc | _desc

## Detailed Description

Descriptor class for height fields.

The height field data is copied when a PhysxHeightField object is created from this descriptor. After the call the user may discard the original height data (e.g. release the PNGImage).

Definition at line 27 of file physxHeightFieldDesc.h.

## Constructor & Destructor Documentation

## ◆ PhysxHeightFieldDesc()

PhysxHeightFieldDesc::PhysxHeightFieldDesc | ( |  | ) |
| inline

Definition at line 17 of file physxHeightFieldDesc.I.

## ◆ ~PhysxHeightFieldDesc()

PhysxHeightFieldDesc::~PhysxHeightFieldDesc | ( |  | ) |
| inline

Definition at line 27 of file physxHeightFieldDesc.I.

## Member Function Documentation

## ◆ is_valid()

bool PhysxHeightFieldDesc::is_valid | ( |  | ) | const
| inline

Returns true if the descriptor is valid.

Definition at line 44 of file physxHeightFieldDesc.I.

## ◆ set_convex_edge_threshold()

void PhysxHeightFieldDesc::set_convex_edge_threshold | ( | float | threshold | ) |

Definition at line 19 of file physxHeightFieldDesc.cxx.

## ◆ set_height()

void PhysxHeightFieldDesc::set_height | ( | unsigned int | row,
|  | unsigned int | column,
|  | short | height )

Definition at line 92 of file physxHeightFieldDesc.cxx.

## ◆ set_image()

void PhysxHeightFieldDesc::set_image | ( | const PNMImage & | image,
|  | unsigned short | materialIndex = 0 )

Definition at line 37 of file physxHeightFieldDesc.cxx.

## ◆ set_material_index()

void PhysxHeightFieldDesc::set_material_index | ( | unsigned int | row,
|  | unsigned int | column,
|  | unsigned short | materialIndex0,
|  | unsigned short | materialIndex1 )

Definition at line 71 of file physxHeightFieldDesc.cxx.

## ◆ set_size()

void PhysxHeightFieldDesc::set_size | ( | unsigned int | num_rows,
|  | unsigned int | num_columns )
| inline

Definition at line 53 of file physxHeightFieldDesc.I.

## ◆ set_tess_flag()

void PhysxHeightFieldDesc::set_tess_flag | ( | unsigned int | row,
|  | unsigned int | column,
|  | unsigned short | value )

Definition at line 109 of file physxHeightFieldDesc.cxx.

## ◆ set_thickness()

void PhysxHeightFieldDesc::set_thickness | ( | float | thickness | ) |

Definition at line 28 of file physxHeightFieldDesc.cxx.

## ◆ set_to_default()

void PhysxHeightFieldDesc::set_to_default | ( |  | ) |
| inline

(re)sets the structure to the default.

Definition at line 35 of file physxHeightFieldDesc.I.

## Member Data Documentation

## ◆ _desc

NxHeightFieldDesc PhysxHeightFieldDesc::_desc

Definition at line 48 of file physxHeightFieldDesc.h.

The documentation for this class was generated from the following files:

- panda/src/physx/physxHeightFieldDesc.h
- panda/src/physx/physxHeightFieldDesc.cxx
- panda/src/physx/physxHeightFieldDesc.I